%define	name efreet
%define	version 20131105
%define release %mkrel 1
%define realversion 1.7.9

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightened efreet
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	%{name}-%{realversion}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
# Enlightenment BR
BuildRequires:	eina-devel
BuildRequires: 	eet-devel
BuildRequires:  evas-devel
BuildRequires:	ecore-devel


%description
An implementation of several specifications from freedesktop.org intended
for use in Enlightenment DR17 (e17) and other applications using the
Enlightenment Foundation Libraries (EFL). Currently, the following 
specifications are included:
  o Base Directory
  o Desktop Entry
  o Icon Theme
  o Menu

%package devel
Summary: Enlightened efreet Library headers and development libraries
Group: Development/Libraries
Requires: %{name} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description devel
Efreet development headers and development libraries.


%prep
%setup -q -n %name-%realversion

%build
%configure2_5x --disable-static

%make

%install
rm -fr %buildroot
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_datadir}/efreet
%{_libdir}/*.so.%{major}*
%{_libdir}/efreet/efreet_desktop_cache_create
%{_libdir}/efreet/efreet_icon_cache_create
%{_datadir}/locale

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_includedir}/efreet-1
%{_libdir}/pkgconfig/*


%changelog
* Tue Nov 05 2013 Texstar <texstar at gmail.com> 20131105-1pclos2013
- 1.7.9
